Webhooks
Retry Webhook Events
Retry delivery of failed webhook events by providing their event IDs. Use this endpoint to recover from transient failures such as network timeouts or temporary server errors on your receiving endpoint.
POST
Bearerheader
AuthorizationBearer <token>application/json- webhook_event_idsarray<integer>required
IDs of the webhook events to retry.
Successful Response
application/jsonresponse
unknowncurl -X POST 'https://api.theirstack.com/v0/webhooks/events/retry' \ -H 'Content-Type: application/json' \ -d '{ "webhook_event_ids": [ 0 ]}'nullHow is this guide?
Last updated on
Pause Or Resume A Webhook PATCH
By disabling a webhook, it will stop listening to events. When you enable a webhook, it will process all the events that have not been processed yet since you disabled it.
Test A Webhook Url POST
Send a test event to verify connectivity and payload handling. Either provide a webhook_id to test an existing webhook (with optional url/secret overrides), or provide url and event_type directly to test before creating a webhook.
